Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035107
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2017-01-31 13:562017-09-21 16:50
ReportermaiteView Statuspublic 
Assigned ToCSousa 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision0daf8bc29298
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035107: To include "line_id" information in fact_acct when posting "Undeductable" invoice line tax in Purchase Invoice

DescriptionWhen posting a Purchase Invoice, in case tax rate is defined as "Tax not deductible", an specific fact_acct record is created beucase product's account should be used instead of tax's account. In that case, it would be usefull to add "line_id" information in fact_acct record to track specific invoice line related with each accounting entry
Steps To Reproduce1. Access Tax Rate window, search for "Adquisiciones IVA 4%" and set it as "Tax not deductible"
2. Register new Purchase Invoice for any Org and BP. Add any line and set "Adquisiciones IVA 4%" tax. Process invoice and post it
3. Verify accounting information related with this invoice via database and realize that "line_id" field is empty in records pointing to taxes:

select line_id from fact_acct where record_id='INVOICE_ID' and c_tax_id is not null;
Proposed SolutionIn DocInvoice.java class, add "line_id" information when docLine1 is created (line 871):

docLine1.m_TrxLine_ID = data[j].cInvoicelineId;
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0096085)
CSousa (developer)
2017-04-20 11:23

1. Access Tax Rate window, search for "Adquisiciones IVA 4%" and set it as "Tax not deductible"
2. Register new Purchase Invoice for any Org and BP. Add any line and set "Adquisiciones IVA 4%" tax. Process invoice and post it
3. Verify accounting information related with this invoice via database and realize that "line_id" field is filled in records pointing to taxes:

select line_id from fact_acct where record_id='INVOICE_ID' and c_tax_id is not null;
(0099121)
hgbot (developer)
2017-09-18 16:24

Repository: erp/devel/pi
Changeset: 0daf8bc29298e93172de694ef63555fe248b15d5
Author: Carlos Sousa <carlos.sousa <at> openbravo.com>
Date: Thu Apr 20 11:18:53 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0daf8bc29298e93172de694ef63555fe248b15d5 [^]

Fixes issue 35107: To include "line_id" information in fact_acct when
posting "Undeductable" invoice line tax in Purchase Invoice.

"line_id" information included in fact_acct when a
"Undeductable" invoice line tax in Purchase Invoice has been posted

---
M src/org/openbravo/erpCommon/ad_forms/DocInvoice.java
---
(0099122)
aferraz (developer)
2017-09-18 16:26

Code review + Testing OK
(0099410)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-01-31 13:56 maite New Issue
2017-01-31 13:56 maite Assigned To => Triage Finance
2017-01-31 13:56 maite Modules => Core
2017-01-31 13:56 maite Triggers an Emergency Pack => No
2017-01-31 13:56 maite Issue Monitored: networkb
2017-04-20 11:23 CSousa Note Added: 0096085
2017-05-08 13:29 CSousa Status new => scheduled
2017-05-08 13:29 CSousa Assigned To Triage Finance => CSousa
2017-09-18 16:24 hgbot Checkin
2017-09-18 16:24 hgbot Note Added: 0099121
2017-09-18 16:24 hgbot Status scheduled => resolved
2017-09-18 16:24 hgbot Resolution open => fixed
2017-09-18 16:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0daf8bc29298e93172de694ef63555fe248b15d5 [^]
2017-09-18 16:26 aferraz Review Assigned To => aferraz
2017-09-18 16:26 aferraz Note Added: 0099122
2017-09-18 16:26 aferraz Status resolved => closed
2017-09-18 16:26 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099410


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker